/*
 * cfg.h
 */

#ifndef __CFG_H__
#define __CFG_H__

#include "game.h"

#define GOBEN_CFG_FILENAME ".gobenrc"

/* NB - NUM_CFG_ITEMS must correspond to number of items in enum */
enum cfg_items { SHOW_COORDS, COORDSTYLE, HI_CONTRAST, HANDICAP, BOARDSIZE, KOMI, PTYPEW,
		 PTYPEB, PNAMEW, PNAMEB, INFO, PROTW, PROTB, PATHW, PATHB, OPTSW, OPTSB };

#define NUM_CFG_ITEMS 17

struct cfg {

	/* display settings */
	gint show_coords;
	gint coord_style;
	gint hi_contrast;

	/* rule settings */
	gint handicap;
	gint boardsize;
	gdouble komi;

	/* player settings */
	gint ptype[2];
	GString *pname[2];
	GString *info;

	/* ai settings */
	gint protocol[2];
	GString *path[2];
	GString *opts[2];
	
};

gint load_cfg(struct game *g);
gint save_cfg(struct game *g);

struct cfg *new_cfg(void);
void free_cfg(struct cfg *c);

#endif /* __CFG_H__ */
