/*
 * gui_settings.h
 */

#ifndef __GUI_SETTINGS_H__
#define __GUI_SETTINGS_H__

#include "game.h"

enum pages { GO_DISPLAY, GO_RULE, GO_PLAYER, GO_AI };

enum toggles { SHOW_COORDINATES, COORD_STYLE, HIGH_CONTRAST, BLACK_PTYPE, WHITE_PTYPE };

struct settings {

	/* are we in a game or not */
	gint playflag;

	/* display settings */
	gint show_coords;
	gint coord_style;
	gint hi_contrast;

	/* rule settings */
	gint *handicap;
	gint *boardsize;
	gdouble *komi;

	/* player settings */
	gint ptype[2];
	GString *pname[2];
	GString *info;

	/* ai settings */
	gint protocol[2];
	GString *path[2];
	GString *opts[2];
	
	struct game *g;
	GtkWidget *go_board;

};


void settings_dialog(GtkWidget *go_board, struct game *g, gint page);

#endif /* __GUI_SETTINGS_H__ */
