/*
 * sgf.h
 */

#ifndef __SGF_H__
#define __SGF_H__

#include "sgftree.h"
#include "game.h"

struct sgfxtra {

	GString *annotator;
	GString *copyright;
	GString *source;
	GString *user;

	GString *gameinfo;
	GString *opening;

	GString *team[2];
	GString *rank[2];

	GString *event;
	GString *date;
	GString *place;
	GString *round;
	GString *overtime;

};

struct sgfcoll *init_sgf(void);
void cleanup_sgf(struct sgfcoll *col);

struct sgfxtra *get_xtra(struct sgftree *tree);
void free_xtra(struct sgfxtra *xtra);

gint set_sgf_header(struct game *g);
gint set_sgf_prop(struct sgftree *tree, gint prop, ...);
struct sgfnode *add_sgf_move(struct sgftree *tree, gint x, gint y, gint colour);

gpointer get_sgf_prop(struct sgftree *tree, gint prop);

gint load_sgf(struct game *g, gchar *filename);
gint save_sgf(struct sgfcoll *col);
gint save_sgf_as(struct sgfcoll *col, gchar *newfilename);

struct sgfnode *sgf_ff(struct game *g, struct sgfnode *node);
struct sgfnode *sgf_forward(struct game *g, gint *x, gint *y, struct sgfnode *node);
struct sgfnode *sgf_back(struct game *g, gint *x, gint *y, struct sgfnode *node);
struct sgfnode *sgf_rw(struct game *g, struct sgfnode *node);
struct sgfnode *sgf_nextvar(struct game *g, gint *x, gint *y, struct sgfnode *node);
struct sgfnode *sgf_node_n(struct game *g, gint *x, gint *y, struct sgfnode *node);
gint sgf_movecount(struct game *g, struct sgfnode *node);

void cull_sgf_moves(struct game *g);

void sgf_get_vars(struct sgfnode *node, gint *this, gint *total);

#endif /* __SGF_H__ */
