/*
 * talk.h
 */

#ifndef __TALK_H__
#define __TALK_H__

#include "piper.h"

/* NB - only GTP supported for now */
enum modes { GT_GTP, GT_GMP };

enum states { GT_READY, GT_TALKING, GT_ERROR };

#define GT_NUM_COMMANDS 10
enum commands { GT_QUIT, GT_FINAL_SCORE, GT_NAME, GT_VERSION, GT_BOARDSIZE, GT_KOMI,
		GT_FIXED_HANDICAP, GT_PVERSION, GT_CLEAR_BOARD, GT_LOADSGF };

struct talker {

	gint mode;
	gint state;
	gint idata;
	gint pversion;
	gint waiting;
	gdouble fdata;
	gchar *msg;
	void(*callback)(void);
	struct piper *p;

};

struct talker *new_talker(gchar *app, gchar *options, gint mode, void(*callback)(void));
void free_talker(struct talker *t);

gint start_talk(struct talker *t);
gint stop_talk(struct talker *t);
gint send_move(struct talker *t, gint x, gint y, gint colour);
gint get_move(struct talker *t, gint *x, gint *y, gint colour);
gint send_command(struct talker *t, gint command);

#endif /* __TALK_H__ */
